Subject: Re: [RFC] usbnet: use eth%d name for known ethernet devices

From: Andy Green <andy-/[email-masked]>
Date: Thu, 24 Mar 2011 10:45:34 +0000

On 03/23/2011 05:11 PM, Somebody in the thread at some point said:
> On Wednesday 23 March 2011, Andy Green wrote:
>>> diff --git a/drivers/net/usb/smsc95xx.c b/drivers/net/usb/smsc95xx.c
>>> index bc86f4b..c98d3a7 100644
>>> --- a/drivers/net/usb/smsc95xx.c
>>> +++ b/drivers/net/usb/smsc95xx.c
>>> @@ -1231,7 +1231,7 @@ static const struct driver_info smsc95xx_info = {
>>
>>> -     .flags          = FLAG_ETHER | FLAG_SEND_ZLP,
>>> +     .flags          = FLAG_ETHER | FLAG_SEND_ZLP | FLAG_REALLY_ETHER,
>>
>>>                if ((dev->driver_info->flags&   FLAG_ETHER) != 0&&
>>> +                 ((dev->driver_info->flags&   FLAG_PTP) == 0 ||
>>> +                  (net->dev_addr [0]&   0x02) == 0))
>>>                        strcpy (net->name, "eth%d");
>>
>> So it just takes the approach that all smsc95xx are going to be eth%d?
>
> Right, and all other drivers that are obviously ethernet-only, including
> future drivers.

I moved my tree over to using this patch now, it's working fine on Panda 
/ smsc95xx as one would expect.  Guys with pluggable smsc95xx are going 
to find their device comes as eth%d not usb%d but that seems perfectly 
defensible as how it always should have been.

So, nice job.

-Andy
--
To unsubscribe from this list: send the line "unsubscribe linux-usb" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html